import { sendMessageToParentWindow as a } from "./accelbyte-widgets496.mjs";
import s, { useEffect as l } from "react";
import n from "./accelbyte-widgets707.mjs";
const r = [
  "allow-forms",
  "allow-modals",
  "allow-orientation-lock",
  "allow-pointer-lock",
  "allow-presentation",
  "allow-same-origin",
  "allow-scripts",
  "allow-popups"
].join(" "), c = ({ url: o }) => {
  const e = (t) => {
    a({ message: t.data });
  };
  return l(() => (window.addEventListener("message", e), () => {
    window.removeEventListener("message", e);
  }), []), /* @__PURE__ */ s.createElement("iframe", { src: o, title: "payment-iframe", className: n.paymentStationIframe, sandbox: r });
};
export {
  c as WebViewClient
};
